> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fields Prefill

> Get existing measurement values for specific fields on a date.



## OpenAPI

````yaml get /user/patient/measurement/{patient_id}/fields/prefill
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/measurement/{patient_id}/fields/prefill:
    get:
      tags:
        - Patient Measurements
      summary: Get Fields Prefill
      description: Get existing measurement values for specific fields on a date.
      operationId: >-
        get_fields_prefill_user_patient_measurement__patient_id__fields_prefill_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
        - name: start
          in: query
          required: true
          schema:
            type: string
            description: UTC start of day (e.g. 2026-02-27T05:00:00.000Z)
            title: Start
          description: UTC start of day (e.g. 2026-02-27T05:00:00.000Z)
        - name: end
          in: query
          required: true
          schema:
            type: string
            description: UTC end of day (e.g. 2026-02-28T04:59:59.999Z)
            title: End
          description: UTC end of day (e.g. 2026-02-28T04:59:59.999Z)
        - name: field_ids
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
            description: Field IDs to prefill
            title: Field Ids
          description: Field IDs to prefill
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrefillResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PrefillResponse:
      properties:
        date:
          type: string
          title: Date
        values:
          items:
            $ref: '#/components/schemas/PrefillValue'
          type: array
          title: Values
          default: []
      type: object
      required:
        - date
      title: PrefillResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PrefillValue:
      properties:
        fieldId:
          type: string
          title: Fieldid
        fieldName:
          type: string
          title: Fieldname
        numericValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Numericvalue
        textValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Textvalue
        arrayValue:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Arrayvalue
        measurementDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Measurementdate
        valueId:
          type: string
          title: Valueid
        isUserReported:
          type: boolean
          title: Isuserreported
          default: false
      type: object
      required:
        - fieldId
        - fieldName
        - valueId
      title: PrefillValue
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````